--- title: "setNasVolumeAccessControl" slug: "storage-vnas-volume-setnasvolumeaccesscontrol" updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/storage-vnas-volume-setnasvolumeaccesscontrol" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # setNasVolumeAccessControl Available in VPC Remove the existing access control on the NAS volume instance and set a new one. Note The set access control rules can be viewed through the [getNasVolumeAccessControlRuleList](/docs/en/storage-vnas-volume-getnasvolumeaccesscontrolrulelist). ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET \| POST | /vnas/v2/setNasVolumeAccessControl | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS (VPC) APIs, see [NAS (VPC) request headers](/docs/en/storage-vnas#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the NAS volume instance for which you want to set access control - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) (default: `KR`) | | `nasVolumeInstanceNo` | String | Required | Number of the NAS volume instance for which you want to set access control - See [getNasVolumeInstanceList](/docs/en/storage-vnas-volume-getnasvolumeinstancelist) - Only NAS volume instances with volume allocation protocol type of NFS can be set to access control | | `accessControlRuleList.N.serverInstanceNo` | String | Required | Number of server instance to set with access control - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist) | | `accessControlRuleList.N.writeAccess` | Boolean | Optional | Writing permissions - `true` (default) \| `false` - `true`: set - `false`: not set | | `responseFormatType` | String | Optional | Format type of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/setNasVolumeAccessControl ?regionCode=KR &nasVolumeInstanceNo=23380000 &accessControlRuleList.1.serverInstanceNo=23320000 &accessControlRuleList.1.writeAccess=true &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Responses The following describes the response format. ### Response body See [NasVolumeInstanceList](/docs/en/common-vapidatatype-nasvolumeinstancelist#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS (VPC) APIs, see [NAS (VPC) response status codes](/docs/en/storage-vnas#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "setNasVolumeAccessControlResponse": { "totalRows": 1, "nasVolumeInstanceList": [ { "nasVolumeInstanceNo": "23380000", "nasVolumeInstanceStatus": { "code": "CREAT", "codeName": "NAS create" }, "nasVolumeInstanceOperation": { "code": "NULL", "codeName": "NAS NULL OP" }, "nasVolumeInstanceStatusName": "created", "createDate": "2024-04-02T10:06:29+0900", "nasVolumeDescription": "", "mountInformation": "169.254.00.00:/n2768364_vn18e9c000000", "volumeAllotmentProtocolType": { "code": "NFS", "codeName": "NFS" }, "volumeName": "n2768364_vn18e9c000000", "volumeTotalSize": 644245094400, "volumeSize": 644245094400, "snapshotVolumeConfigurationRatio": 0.0, "snapshotVolumeSize": 0, "isSnapshotConfiguration": false, "isEventConfiguration": false, "regionCode": "KR", "zoneCode": "KR-2", "nasVolumeServerInstanceNoList": [ "23320000" ], "isEncryptedVolume": false, "nasVolumeInstanceCustomIpList": [], "isReturnProtection": false } ], "requestId": "", "returnCode": "0", "returnMessage": "success" } } ```